Company Contacts
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "789123",
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"status": "active",
"first_name": "John",
"last_name": "Smith",
"email": "john.smith@acmecorp.com",
"phone": "555-987-6543",
"phone_2": "555-555-5555",
"full_name": "John Smith",
"company_id": "123456",
"company": {
"id": "123456",
"name": "Acme Corporation"
},
"is_primary": true,
"receive_quotation_pdf": false,
"receive_purchase_order_pdf": false,
"receive_purchase_order_invoice_pdf": false,
"has_portal_login": false,
"companies": [
{
"id": 123,
"name": "<string>",
"is_primary": true,
"receive_quotation_pdf": true,
"receive_purchase_order_pdf": true,
"receive_purchase_order_invoice_pdf": true
}
],
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>"
}
]
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 5,
"per_page": 10,
"to": 10,
"total": 50
}
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}Companies
Company Contacts
Get a paginated list of contacts associated with a specific company.
For detailed information about the filtering system and available operators, refer to the Filter System Documentation.
Available Filters
String Filters
first_name: Contact first namelast_name: Contact last nameemail: Contact emailphone: Contact phone numberstatus: Contact statuscompany.name: Company name
DateTime Filters
created_at: When the contact was createdupdated_at: When the contact was last updated
GET
/
companies
/
{companyId}
/
contacts
Company Contacts
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
The unique identifier of the company
Query Parameters
Page number for pagination (starts at 1)
Required range:
x >= 1Number of items per page (max 100)
Required range:
1 <= x <= 100Filter by contact first name
Filter by contact last name
Filter by contact email
Filter by contact phone number
Filter by contact status
Filter by company name
Filter by creation date
Filter by last update date